If You Own An Older Kindle. Read This Now.

Owners of older Kindles [1st edition Paperwhites (ca. 2012) or older], must update the software by today, March 22 or else lose internet access and the ability to download materials to the device. Here is a link to Amazon's Help & Support page with full details and models affected.